Download it now!
Bug 45463 - Inserting Formula to Drawing when used as OLE in Writer (OLE Nested Entry).
Summary: Inserting Formula to Drawing when used as OLE in Writer (OLE Nested Entry).
Status: RESOLVED WONTFIX
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
3.5.0 release
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-01-31 13:58 UTC by ogb1966
Modified: 2016-05-30 13:47 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description ogb1966 2012-01-31 13:58:46 UTC
When using Drawing within a Writer document as OLE, the Insert -> Formula menu is disabled.
Comment 1 sasha.libreoffice 2012-02-20 06:19:26 UTC
I can not reproduce this problem.

@ orengt@gmail.com
In version 3.5.0 problem still exist?
Comment 2 ogb1966 2012-02-21 00:11:31 UTC
Yes it does exist in 3.5.
To reproduce do the following:
1. open a new writer document.
2. insert -> object -> OLE Object -> Drawing (create new).
3. While within the object: Insert -> Object. You will see now that all items are grayed out including Formula ...

If you do the same on a standalone Drawing document all options are available.

Hope it helps,
OrenG
Comment 3 sasha.libreoffice 2012-02-21 04:24:46 UTC
Thanks for explanation. Inserting formula *inside* of OLE object.
IMHO at this time LibreOffice not allows nested entering into OLE object. My be in future such functionality will be added.
At this time, if we need add formula into OLE, we should exit OLE object, add formula elsewhere in Writer, press Ctrl-X, enter OLE again and press Ctrl-V.

PS: If this functionality is very important, please, transform this bugreport to "Functionality request". (add nested entering into OLE)
Comment 4 ogb1966 2012-02-21 12:41:05 UTC
Changed to Enhancement.
Thanks for taking care of it.
OrenG
Comment 5 Hashem Masoud 2012-09-27 07:40:22 UTC
(In reply to comment #4)
Still present in:
Version 3.6.1.2 (Build ID: e29a214)
Comment 6 Heiko Tietze 2016-05-30 13:47:10 UTC
Closing the old bug as WONTFIX following Sasha's argument that nested OLE objects are messy, not only from the code side but also the UI would be impaired. But feel free to reopen.